﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub HP 8482A (Ch. A & B) Zero and Cal /4419
DATE:                  2011-11-14
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       67
CONFIGURATION:         Agilent E4419B
CONFIGURATION:         HP 8482A on channel 1
CONFIGURATION:         HP 8482A on channel 2
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        HP/Agilent 8482A on BOTH channels of EPM-442A or E4419A/B with Ch. A
#        using the internal cal factor table and Ch. B 'fixed' at 100%.
#
#        This scheme is typical when using a "Reference"/"Buried" Power Sensor
#        setup, employed when characterizing (and subsequent external leveling
#        of) a source during frequency response calibration.
#
#  Compatibility:
#        MET/CAL 7.2 or later
#
#  Subprocedures:
#        None
#
#  Required Files:
#        e441x_100mw_rf_sensor_zero.jpg
#        e4419_100mw_rf_sensor_zero.jpg
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  HEAD         POWER SENSOR ZERO and CAL
  1.002  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7]
  1.003  HEAD         -2 Power Sensor Connections
  1.004  DISP         Connect the 8482A ("Reference") Power Sensor to the
  1.004  DISP         EPM-series Power Meter CHANNEL A.
  1.004  DISP
  1.004  DISP         Connect the other 8482A ("Buried") Power Sensor to
  1.004  DISP         the EPM-series Power Meter CHANNEL B.
  1.005  HEAD         -2 Channel A: 8482A ("Reference") Power Sensor
  1.006  PIC          e441x_100mw_rf_sensor_zero.jpg
  1.007  M4419  F64   8482A          Default       8482A          100pct
  1.008  4419         1mW                          50MH              CP N  CH1

  1.009  HEAD         -2 Channel B: 8482A ("Buried") Power Sensor
  1.010  DISP         Disconnect 8482A (Reference) Power Sensor on CHANNEL A
  1.010  DISP         from the Power Meter POWER REF connector.
  1.011  PIC          e4419_100mw_rf_sensor_zero.jpg
  1.012  4419         1mW                          50MH              CP N  CH2
  1.013  HEAD         -2
  1.014  HEAD
  1.015  END
