﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub PSA µW Frequency Response Tests /4418,8485,SWPG
DATE:                  2012-01-10
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       437
CONFIGURATION:         Agilent E4418B
CONFIGURATION:         HP 8485A on channel 1
CONFIGURATION:         Sweep Generator
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        Agilent ESA series > 3 GHz, <= 26.5 GHz, including Option 110.
#
#  Compatibility:
#        MET/CAL 7.20x or later
#
#  Subprocedures:
#        Sub PSA µW Frequency Response Test /4418,8485,SWPG
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  Example:
# 1.001  MATH         @TestFreq = 3.05E+9
# 1.002  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
# M4418 statement to allow procedure to compile.
  1.002  M4418  F64   8485A
  1.003  IEEE         [@SWPG]
  1.004  ENDIF

  1.005  IF           @PreampOn
  1.006  TOL          1.750U
  1.007  MATH         @UUT_SWR = 1.5
  1.008  ELSE
  1.009  TOL          1.500U
  1.010  MATH         @UUT_SWR = 1.6
  1.011  ENDIF

  1.012  MATH         @TestFreq = 3.05E+9
  1.013  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.014  MATH         @TestFreq = 3.25E+9
  1.015  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.016  MATH         @TestFreq = 3.45E+9
  1.017  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.018  MATH         @TestFreq = 3.65E+9
  1.019  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.020  MATH         @TestFreq = 3.85E+9
  1.021  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.022  MATH         @TestFreq = 4.05E+9
  1.023  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.024  MATH         @TestFreq = 4.25E+9
  1.025  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.026  MATH         @TestFreq = 4.45E+9
  1.027  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.028  MATH         @TestFreq = 4.65E+9
  1.029  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.030  MATH         @TestFreq = 4.85E+9
  1.031  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.032  MATH         @TestFreq = 5.05E+9
  1.033  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.034  MATH         @TestFreq = 5.25E+9
  1.035  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.036  MATH         @TestFreq = 5.45E+9
  1.037  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.038  MATH         @TestFreq = 5.65E+9
  1.039  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.040  MATH         @TestFreq = 5.85E+9
  1.041  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.042  MATH         @TestFreq = 6.05E+9
  1.043  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.044  MATH         @TestFreq = 6.25E+9
  1.045  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.046  MATH         @TestFreq = 6.45E+9
  1.047  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.048  IF           @PreampOn
  1.049  TOL          3.000U
  1.050  MATH         @UUT_SWR = 1.9
  1.051  ELSE
  1.052  TOL          2.000U
  1.053  ENDIF

  1.054  MATH         @TestFreq = 6.65E+9
  1.055  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.056  IF           @E4440A || @E4445A
  1.057  MATH         @TestFreq = 6.85E+9
  1.058  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.059  MATH         @TestFreq = 7.05E+9
  1.060  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.061  MATH         @TestFreq = 7.25E+9
  1.062  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.063  MATH         @TestFreq = 7.45E+9
  1.064  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.065  MATH         @TestFreq = 7.65E+9
  1.066  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.067  MATH         @TestFreq = 7.85E+9
  1.068  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.069  MATH         @TestFreq = 8.05E+9
  1.070  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.071  MATH         @TestFreq = 8.25E+9
  1.072  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.073  MATH         @TestFreq = 8.45E+9
  1.074  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.075  MATH         @TestFreq = 8.65E+9
  1.076  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.077  MATH         @TestFreq = 8.85E+9
  1.078  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.079  MATH         @TestFreq = 9.05E+9
  1.080  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.081  MATH         @TestFreq = 9.25E+9
  1.082  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.083  MATH         @TestFreq = 9.45E+9
  1.084  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.085  MATH         @TestFreq = 9.65E+9
  1.086  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.087  MATH         @TestFreq = 9.85E+9
  1.088  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.089  MATH         @TestFreq = 10.05E+9
  1.090  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.091  MATH         @TestFreq = 10.25E+9
  1.092  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.093  MATH         @TestFreq = 10.45E+9
  1.094  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.095  MATH         @TestFreq = 10.65E+9
  1.096  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.097  MATH         @TestFreq = 10.85E+9
  1.098  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.099  MATH         @TestFreq = 11.05E+9
  1.100  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.101  MATH         @TestFreq = 11.25E+9
  1.102  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.103  MATH         @TestFreq = 11.45E+9
  1.104  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.105  MATH         @TestFreq = 11.65E+9
  1.106  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.107  MATH         @TestFreq = 11.85E+9
  1.108  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.109  MATH         @TestFreq = 12.05E+9
  1.110  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.111  MATH         @TestFreq = 12.25E+9
  1.112  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.113  MATH         @TestFreq = 12.45E+9
  1.114  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.115  MATH         @TestFreq = 12.65E+9
  1.116  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.117  MATH         @TestFreq = 12.85E+9
  1.118  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.119  MATH         @TestFreq = 13.05E+9
  1.120  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.121  IF           @E4440A
  1.122  MATH         @TestFreq = 13.25E+9
  1.123  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.124  MATH         @TestFreq = 13.45E+9
  1.125  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.126  MATH         @TestFreq = 13.65E+9
  1.127  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.128  MATH         @TestFreq = 13.85E+9
  1.129  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.130  MATH         @TestFreq = 14.05E+9
  1.131  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.132  MATH         @TestFreq = 14.25E+9
  1.133  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.134  MATH         @TestFreq = 14.45E+9
  1.135  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.136  MATH         @TestFreq = 14.65E+9
  1.137  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.138  MATH         @TestFreq = 14.85E+9
  1.139  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.140  MATH         @TestFreq = 15.05E+9
  1.141  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.142  MATH         @TestFreq = 15.25E+9
  1.143  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.144  MATH         @TestFreq = 15.45E+9
  1.145  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.146  MATH         @TestFreq = 15.65E+9
  1.147  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.148  MATH         @TestFreq = 15.85E+9
  1.149  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.150  MATH         @TestFreq = 16.05E+9
  1.151  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.152  MATH         @TestFreq = 16.25E+9
  1.153  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.154  MATH         @TestFreq = 16.45E+9
  1.155  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.156  MATH         @TestFreq = 16.65E+9
  1.157  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.158  MATH         @TestFreq = 16.85E+9
  1.159  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.160  MATH         @TestFreq = 17.05E+9
  1.161  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.162  MATH         @TestFreq = 17.25E+9
  1.163  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.164  MATH         @TestFreq = 17.45E+9
  1.165  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.166  MATH         @TestFreq = 17.65E+9
  1.167  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.168  MATH         @TestFreq = 17.85E+9
  1.169  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.170  IF           NOT(@PreampOn)
  1.171  MATH         @UUT_SWR = 1.9
  1.172  ENDIF

  1.173  MATH         @TestFreq = 18.05E+9
  1.174  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.175  MATH         @TestFreq = 18.25E+9
  1.176  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.177  MATH         @TestFreq = 18.45E+9
  1.178  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.179  MATH         @TestFreq = 18.65E+9
  1.180  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.181  MATH         @TestFreq = 18.85E+9
  1.182  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.183  IF           @PreampOn
  1.184  TOL          4.000U
  1.185  ENDIF

  1.186  MATH         @TestFreq = 19.05E+9
  1.187  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.188  MATH         @TestFreq = 19.25E+9
  1.189  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.190  MATH         @TestFreq = 19.45E+9
  1.191  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.192  MATH         @TestFreq = 19.65E+9
  1.193  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.194  MATH         @TestFreq = 19.85E+9
  1.195  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.196  MATH         @TestFreq = 20.05E+9
  1.197  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.198  MATH         @TestFreq = 20.25E+9
  1.199  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.200  MATH         @TestFreq = 20.45E+9
  1.201  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.202  MATH         @TestFreq = 20.65E+9
  1.203  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.204  MATH         @TestFreq = 20.85E+9
  1.205  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.206  MATH         @TestFreq = 21.05E+9
  1.207  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.208  MATH         @TestFreq = 21.25E+9
  1.209  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.210  MATH         @TestFreq = 21.45E+9
  1.211  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.212  MATH         @TestFreq = 21.65E+9
  1.213  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.214  MATH         @TestFreq = 21.85E+9
  1.215  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.216  IF           NOT(@PreampOn)
  1.217  TOL          2.500U
  1.218  ENDIF

  1.219  MATH         @TestFreq = 22.05E+9
  1.220  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.221  MATH         @TestFreq = 22.25E+9
  1.222  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.223  MATH         @TestFreq = 22.45E+9
  1.224  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.225  MATH         @TestFreq = 22.65E+9
  1.226  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.227  MATH         @TestFreq = 22.85E+9
  1.228  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.229  MATH         @TestFreq = 23.05E+9
  1.230  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.231  MATH         @TestFreq = 23.25E+9
  1.232  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.233  MATH         @TestFreq = 23.45E+9
  1.234  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.235  MATH         @TestFreq = 23.65E+9
  1.236  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.237  MATH         @TestFreq = 23.85E+9
  1.238  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.239  MATH         @TestFreq = 24.05E+9
  1.240  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.241  MATH         @TestFreq = 24.25E+9
  1.242  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.243  MATH         @TestFreq = 24.45E+9
  1.244  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.245  MATH         @TestFreq = 24.65E+9
  1.246  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.247  MATH         @TestFreq = 24.85E+9
  1.248  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.249  MATH         @TestFreq = 25.05E+9
  1.250  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.251  MATH         @TestFreq = 25.25E+9
  1.252  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.253  MATH         @TestFreq = 25.45E+9
  1.254  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.255  MATH         @TestFreq = 25.65E+9
  1.256  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.257  MATH         @TestFreq = 25.85E+9
  1.258  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.259  MATH         @TestFreq = 26.05E+9
  1.260  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.261  MATH         @TestFreq = 26.25E+9
  1.262  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG

  1.263  MATH         @TestFreq = 26.45E+9
  1.264  CALL         Sub PSA µW Frequency Response Test /4418,8485,SWPG
  1.265  ENDIF        ; @E4440A

  1.266  ENDIF        ; @E4440A || @E4445A

  1.267  END
