﻿Copyright (c) (2014) Fluke Corporation.                  All rights reserved.
=============================================================================
INSTRUMENT:            Sub PSA (1 yr) Frequency Response (LF) Test /9640
DATE:                  2014-12-18 15:29:36
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 9838 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       2
NUMBER OF LINES:       61
CONFIGURATION:         Fluke 9640A
CONFIGURATION:         Fluke 9640A-50
=============================================================================
#
# Procedure Author:
#        DFM, CAD
#
# Model(s) Covered:
#        Agilent PSA
#
# Compatibility:
#        MET/CAL version 7.20x or later
#
# The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  MATH         FreqHz = BASE(@Freq)

  1.002  JMPL         MEASURE_CONTINUE
# Re-display connection message and re-establish reference on Repeat/Cancel.
  1.003  TARGET       -p
  1.004  MATH         @Connected = ""
  1.005  CALL         Sub PSA Set Frequency Response (LF) Ref Level /9640

  1.006  IF           @Abort
  1.007  END
  1.008  ENDIF

  1.009  LABEL        MEASURE_CONTINUE

  1.010  HEAD         -2 Center Frequency: [V @Freq]
  1.011  TSET         TDESC = [V @Freq]
  1.012  9640         OutputImpedance = 50 Ohms; RefFrequencyOutput = 10 MHz
  1.012  9640         +Level = -10 dBm; Frequency = [V FreqHz] Hz
  1.013  MATH         TestUnc = REFACC() / DBMTOW(MEM1) / CONF(@9640DevName)
  1.014  MATH         TestUncPct = TestUnc * 100
  1.015  MATH         L[1] = RSS2(@RefUncPct, TestUncPct) * 2
  1.016  MATH         L[1] = PCTTODBW_D(L[1])
  1.017  ACC          0.00dB         L1U                                   +DW
  1.018  SCPI         FREQ:CENT [V FreqHz]
  1.019  TARGET       -m
  1.020  SCPI         INIT:IMM

  1.021  IF           FreqHz >= 20
  1.022  SCPI         CALC:MARK:MAX
  1.023  ENDIF

  1.024  SCPI         CALC:MARK:Y?[I]
  1.025  MEMCX        0.00dB         0.38U

  2.001  END
