﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub PSA Measure Frequency Response /9640
DATE:                  2011-10-12
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 18115 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       51
CONFIGURATION:         Fluke 9640A
CONFIGURATION:         Fluke 9640A-50
=============================================================================
#
# Procedure Author:
#        DFM
#
# Model(s) Covered:
#        Wherever frequency response and ± peak detection are required...
#
# Compatibility:
#        MET/CAL 7.20x or later
#
# Subprocedures:
#        Sub Agilent ESA/PSA Take Sweep (MKPK)
#
# Required Files:
#        None
#
# Additional Equipment Required:
#        None
#
# The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  9640         RefFreqOutput = 10 MHz; OutputImpedance = 50 Ohms
  1.001  9640         +Level = [V @TestLvl] dBm; Freq = [V @TestFreq] Hz
  1.002  SCPI         FREQ:CENT [V @TestFreq]

  1.003  IF           @TestFreq < 20
  1.004  CALL         Sub Agilent ESA/PSA Take Sweep Only
  1.005  ELSE
  1.006  CALL         Sub Agilent ESA/PSA Take Sweep (MKPK)
  1.007  ENDIF

  1.008  SCPI         CALC:MARK:Y?[I]
  1.009  END
